> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://imo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://imo.ferndocs.com/_mcp/server.

# Create a session

GET https://api-sandbox.imohealth.com/precision/normalize/session

Create a session identifier that ties Normalize and Enrichment activity to customer feedback, enabling continuous improvement and usage tracking. Pass the returned `session_id` to the selection-event endpoint.

Reference: https://imo.ferndocs.com/api-reference/sessions/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

successful operation

- `session_id` (string, optional) — A unique identifier for the session

## Errors

### 401 Unauthorized Error

The request is unauthenticated. Provide authentication using the Authorization HTTP header.

- `error` (ApiErrorBody, optional) — The error detail.

### 403 Forbidden Error

The client does not have access rights to make this request.

- `error` (ApiErrorBody, optional) — The error detail.

### 500 Internal Server Error

The server has encountered a situation it doesn't know how to handle.

- `error` (ApiErrorBody, optional) — The error detail.

### 503 Service Unavailable Error

The server is not ready to handle the request. Common causes are a server that is down for maintenance or that is overloaded.

- `error` (ApiErrorBody, optional) — The error detail.

## Types

### ApiErrorBody

The error detail.

- `code` (string, optional) — A stable, machine-readable error code.
- `message` (string, optional) — A human-readable description of what went wrong.
- `details` (ApiErrorDetails, optional) — Additional context for debugging.

### ApiErrorDetails

Additional context for debugging.

- `code` (string, optional) — A more specific sub-code for the failure.
- `message` (string, optional) — A more specific description of the failure.
- `traceId` (string, optional) — Correlation ID to quote when contacting IMO Health support.

## Examples

**Response**

```json
{
  "session_id": "a140f56f-939e-4456-be74-6ee492a07179"
}
```

**SDK Code**

```python sessions_create_example
import requests

url = "https://api-sandbox.imohealth.com/precision/normalize/session"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript sessions_create_example
const url = 'https://api-sandbox.imohealth.com/precision/normalize/session';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go sessions_create_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.imohealth.com/precision/normalize/session"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby sessions_create_example
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.imohealth.com/precision/normalize/session")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java sessions_create_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.imohealth.com/precision/normalize/session")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php sessions_create_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.imohealth.com/precision/normalize/session', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp sessions_create_example
using RestSharp;

var client = new RestClient("https://api-sandbox.imohealth.com/precision/normalize/session");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift sessions_create_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.imohealth.com/precision/normalize/session")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```